> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get validation results

> Get validation results for a project. This will return the results of the latest validation job.



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/validate
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/validate:
    get:
      tags:
        - Projects
      summary: Get validation results
      description: >-
        Get validation results for a project. This will return the results of
        the latest validation job.
      operationId: GetLatestValidationResults
      parameters:
        - description: the projectId for the validation
          in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - description: >-
            boolean to know if this request is made from the settings page, for
            analytics
          in: query
          name: fromSettings
          required: false
          schema:
            type: boolean
        - description: optional jobId to get results for a specific job, used on CLI
          in: query
          name: jobId
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiValidateResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiValidateResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/ValidationResponse'
          type: array
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    ValidationResponse:
      anyOf:
        - $ref: '#/components/schemas/ValidationErrorChartResponse'
        - $ref: '#/components/schemas/ValidationErrorDashboardResponse'
        - $ref: '#/components/schemas/ValidationErrorTableResponse'
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ValidationErrorChartResponse:
      allOf:
        - $ref: '#/components/schemas/ValidationResponseBase'
        - properties:
            chartName:
              type: string
            chartViews:
              type: number
              format: double
            lastUpdatedAt:
              type: string
              format: date-time
            lastUpdatedBy:
              type: string
            fieldName:
              type: string
            chartKind:
              $ref: '#/components/schemas/ChartKind'
            chartUuid:
              type: string
          required:
            - chartViews
          type: object
    ValidationErrorDashboardResponse:
      allOf:
        - $ref: '#/components/schemas/ValidationResponseBase'
        - properties:
            dashboardViews:
              type: number
              format: double
            lastUpdatedAt:
              type: string
              format: date-time
            lastUpdatedBy:
              type: string
            dashboardFilterErrorType:
              $ref: '#/components/schemas/DashboardFilterValidationErrorType'
            tableName:
              type: string
            fieldName:
              type: string
            chartName:
              type: string
            dashboardUuid:
              type: string
          required:
            - dashboardViews
          type: object
    ValidationErrorTableResponse:
      allOf:
        - $ref: '#/components/schemas/Omit_ValidationResponseBase.name_'
        - properties:
            name:
              type: string
          type: object
    ValidationResponseBase:
      properties:
        source:
          $ref: '#/components/schemas/ValidationSourceType'
        spaceUuid:
          type: string
        projectUuid:
          type: string
        errorType:
          $ref: '#/components/schemas/ValidationErrorType'
        error:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
        validationId:
          type: number
          format: double
          nullable: true
          deprecated: true
        validationUuid:
          type: string
      required:
        - projectUuid
        - errorType
        - error
        - name
        - createdAt
        - validationId
        - validationUuid
      type: object
    ChartKind:
      enum:
        - line
        - horizontal_bar
        - vertical_bar
        - scatter
        - area
        - mixed
        - pie
        - table
        - big_number
        - funnel
        - custom
        - treemap
        - gauge
        - map
        - sankey
      type: string
    DashboardFilterValidationErrorType:
      enum:
        - field_does_not_exist
        - field_table_mismatch
        - table_not_used_by_any_chart
        - table_does_not_exist
      type: string
    Omit_ValidationResponseBase.name_:
      $ref: >-
        #/components/schemas/Pick_ValidationResponseBase.Exclude_keyofValidationResponseBase.name__
      description: Construct a type with the properties of T except for those in type K.
    ValidationSourceType:
      enum:
        - chart
        - dashboard
        - table
      type: string
    ValidationErrorType:
      enum:
        - chart
        - sorting
        - filter
        - metric
        - model
        - dimension
        - custom metric
        - chart configuration
      type: string
    Pick_ValidationResponseBase.Exclude_keyofValidationResponseBase.name__:
      properties:
        projectUuid:
          type: string
        createdAt:
          type: string
          format: date-time
        error:
          type: string
        source:
          $ref: '#/components/schemas/ValidationSourceType'
        validationUuid:
          type: string
        validationId:
          type: number
          format: double
          nullable: true
          deprecated: true
        errorType:
          $ref: '#/components/schemas/ValidationErrorType'
        spaceUuid:
          type: string
      required:
        - projectUuid
        - createdAt
        - error
        - validationUuid
        - validationId
        - errorType
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````